%global pkg_name hlint

%global common_summary Haskell Source code suggestions

%global common_description Hlint gives suggestions on how to improve your source code.

# Haskell library dependencies:
%global ghc_pkg_deps ghc-cpphs-devel, ghc-haskell-src-exts-devel, ghc-uniplate-devel, ghc-hscolour-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           %{pkg_name}
Version:        1.6.20
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          Development/Languages
License:        GPLv2
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%ghc_binlib_package


%prep
%setup -q


%build
# dynamic + prof breaks cabal looking for p_dyn
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}-%{version}


%changelog
* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.20-1
- Bump to 1.6.20
- Remove LicenseClarification

* Sun Jan 10 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.14-1
- Bump to 1.6.14

* Sat Nov 14 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.12-1
- Bump to 1.6.12
- Fix dep to ghc-cpphs-devel

* Sun Nov 8 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-2
- Add license clarification from author (changed license back to GPLv2).

* Thu Oct 29 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-1
- Bump version.

* Fri Sep 11 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.8-1
- Bump version.

* Fri Jul 17 2009 Conrad Meyer <konrad@tylerc.org> - 1.4-1
- Fixed BR on ghc-hscolour (to ghc-hscolour-devel).
- Version bumped.
- Add missing BR on ghc-rpm-macros.

* Mon Jan 12 2009 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- initial packaging for Fedora created by cabal2spec
